# -*- coding: utf-8 -*-

"""Test Logos

Utilisation :
    créer les variables d'environnement: (indiquer les valeurs
    pour le serveur ScoDoc que vous voulez interroger)

    export SCODOC_URL="https://scodoc.xxx.net/"
    export SCODOC_USER="xxx"
    export SCODOC_PASSWD="xxx"
    export CHECK_CERTIFICATE=0 # ou 1 si serveur de production avec certif SSL valide

    (on peut aussi placer ces valeurs dans un fichier .env du répertoire tests/api).

    Lancer :
        pytest tests/api/test_api_absences.py
"""

import requests
from tests.api.setup_test_api import API_URL, CHECK_CERTIFICATE, api_headers

# Etudiant pour les tests
ETUDID = 1


# absences
def test_absences(api_headers):
    """
    Route: /absences/etudid/<int:etudid>
    """
    r = requests.get(
        f"{API_URL}/absences/etudid/{ETUDID}",
        headers=api_headers,
        verify=CHECK_CERTIFICATE,
    )
    assert r.status_code == 200


# absences_justify
def test_absences_justify(api_headers):
    """
    Route: /absences/etudid/<etudid:int>/just
    """
    r = requests.get(
        API_URL + f"/absences/etudid/{ETUDID}/just",
        headers=api_headers,
        verify=CHECK_CERTIFICATE,
    )
    assert r.status_code == 200
    # TODO vérifier résultat


# XXX TODO
# def test_abs_groupe_etat(api_headers):
#     """
#     Route:
#     """
#     r = requests.get(
#         API_URL + "/absences/abs_group_etat/?group_id=<int:group_id>&date_debut=date_debut&date_fin=date_fin",
#         headers=api_headers,
#         verify=CHECK_CERTIFICATE,
#     )
#     assert r.status_code == 200
